summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGustavo Felisberto <humpback@gentoo.org>2006-03-08 00:55:01 +0000
committerGustavo Felisberto <humpback@gentoo.org>2006-03-08 00:55:01 +0000
commit68bd994ef6b2be7e7b145481c0e809eab2f4cf02 (patch)
treeb3966300943ba6cac8be50eded66f4cc6306c29c /net-im/pymsn-t/files
parentcvs sometimes is a pain (diff)
downloadgentoo-2-68bd994ef6b2be7e7b145481c0e809eab2f4cf02.tar.gz
gentoo-2-68bd994ef6b2be7e7b145481c0e809eab2f4cf02.tar.bz2
gentoo-2-68bd994ef6b2be7e7b145481c0e809eab2f4cf02.zip
cvs cvs....
(Portage version: 2.1_pre5-r2)
Diffstat (limited to 'net-im/pymsn-t/files')
-rw-r--r--net-im/pymsn-t/files/pymsn-t.initd24
1 files changed, 24 insertions, 0 deletions
diff --git a/net-im/pymsn-t/files/pymsn-t.initd b/net-im/pymsn-t/files/pymsn-t.initd
new file mode 100644
index 000000000000..83a41859520b
--- /dev/null
+++ b/net-im/pymsn-t/files/pymsn-t.initd
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-im/pymsn-t/files/pymsn-t.initd,v 1.4 2006/03/08 00:55:01 humpback Exp $
+
+depend() {
+ need net
+ use jabber-server
+}
+
+start() {
+ ebegin "Starting MSN Jabber Transport"
+ start-stop-daemon --start --name "pymsn-t" --background --chuid jabber:jabber \
+ --exec /usr/bin/python /usr/lib/PATH/site-packages/pymsn-t/pymsn-t.py -- \
+ -c /etc/jabber/pymsn-t.xml \
+ -l /var/log/jabber/pymsn-t.log
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping MSN Jabber Transport"
+ start-stop-daemon --stop --quiet --pidfile /var/run/jabber/pymsn-t.pid
+ eend $?
+}